# 2.0.7622

## 2.0.7622

#### [docs](https://liquidapps.gitbook.io/liquidapps-documentation)

#### [@liquidapps/zeus-cmd](https://www.npmjs.com/package/@liquidapps/zeus-cmd)

* update axios version
* add `sidechain` flag to migrate command
* update `dapp-client` mainnet EOS default API
* add compile emoji to truffle compile
* update default truffle compile version to `0.8.0`
* update to `@openzeppelin/contracts"` for auto imported code
* create `all-tests` box to test all unit tests
* atomictokenpeg - EOSIO <> EVM bridge, NFTs can originate on EOSIO / EVM.  If NFT originates on EOSIO token ID is passed to EVM side as an NFT.  That NFT can be sent back to the EVM side which will return the existing NFT on EOSIO.  If EVM -> EOSIO then only 1 NFT ERC721 contract can be bridged at a time which usually means 1 NFT.&#x20;
  * add `atomictokenpeg.cpp` to transfer or mint atomic assets EOSIO <> EVM
    * `clearhist` to clear history items
    * `refund` action to refund with tokenpeg's permission, pushes multi sig to EVM to return
  * add `atomicnft.sol` `ERC721PresetMinterPauserAutoId.sol` preset with allowance for owner of contract to mint tokens
  * `atomictokenpeg.sol` to mint/burn tokens, can only burn after authorization given to contract
  * add `atomictokenpeg.spec.js` EOSIO <> EVM ERC721 NFT bridge with automatic return EOSIO / EVM side
  * add `atomictokenpegeosio` and `atomictokenpegxeosio` EOSIO contracts for EOSIO <> EOSIO NFT transfers
  * add `atomictokenpegevm2eosio.spec.sol` `atomictokenpegevm2eosio.spec.js` for EVM -> EOSIO example of NFT originating on EVM
* binancetokenpeg / ethtokenpeg
  * added clear history, burn tokens
  * comment out onReceipt to avoid a response from EOSIO (pushing sign service to EVM) to preserve gas
  * update bep20 token implementation contract to use latest @imports, use `approveAndCall`
* tokenpeg EOSIO <> EOSIO token contracts updated and unit tests for
  * burn tokens
  * disable intervals
* update `sanftpeg.cpp` Simple Assets NFTs contract / unit tests to new link lib failure macros
  * update simple assets code to latest
* fix liquid portfolio example / APIs
* create eosio/atomic libraries for interacting with atomic / eosio contracts in zeus's unit testing
  * `await eosio.getTable(eosconsumerX,codeXSidechain,codeXSidechain,"creleases");`
  * `await eosio.delay(2000);`
* update existing unit tests to use eosio/atomic libs
* add vuejs typescript based simple frontend box with anchor login `anchor`

#### [@liquidapps/dsp](https://www.npmjs.com/package/@liquidapps/dsp)

#### [@liquidapps/dapp-client](https://www.npmjs.com/package/@liquidapps/dapp-client)

#### [@liquidapps/box-utils](https://www.npmjs.com/package/@liquidapps/box-utils)

#### dappservices contract

### DSP Services:

#### [LiquidAccount Service](https://docs.liquidapps.io/en/v2.0/services/vaccounts-service.html)

#### [LiquidVRAM Service](https://docs.liquidapps.io/en/stable/services/ipfs-service.html)

#### [LiquidStorage Service](https://docs.liquidapps.io/en/stable/services/storage-service.html)

#### [LiquidHarmony Service](https://docs.liquidapps.io/en/stable/developers/harmony-getting-started.html)

#### [LiquidScheduler Service](https://docs.liquidapps.io/en/stable/developers/cron-getting-started.html)

#### [LiquidLink Service](/liquidapps-documentation/dapp-network-services/dapp-network-services/liquidlink.md)

* use EVM web socket connection by default instead of RPC when setting up web3 provider
* use sendSignedTransaction instead of awaiting receipt, receipt check caused infinite ping to EVM node

#### Link Library

* auto erase old batches
* create separate handle message logic for EOSIO / EVM, EVM does not send receipt so not spending double messages
* rm public declaration, make pushInboundMessage more secure with `external` tag


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/release-notes/history/latest-version-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
